/******************************************************************************
 * test_matrix2.c
 * Federico Bareilles
 * 18/08/2003
 *
 *
 *****************************************************************************/

#define _POSIX_SOURCE 1         /* POSIX compliant source  */

#include <stdio.h>
#include "matrix.h"


int main(void) /* only for test */
{
  struct matrix *M,*A,*B;
  double **a;
  double det;
  
  M = B = A = NULL;
  A = make_matrix(3,3);
  a = A->M;

  a[0][0] =  3;
  a[0][1] =  5;
  a[0][2] =  2;
  //a[0][3] =  6;
  //a[0][4] =  2;

  a[1][0] =  1;
  a[1][1] =  1;
  a[1][2] =  1;
  //a[1][3] =  1;
  //a[1][4] =  1;

  a[2][0] =  0;
  a[2][1] =  4;
  a[2][2] =  2;
  //a[2][3] =  1;
  //a[2][4] =  0;
  /*
  a[3][0] =  0;
  a[3][1] =  0;
  a[3][2] =  4;
  a[3][3] =  0;
  a[3][4] =  2;

  a[4][0] =  2;
  a[4][1] =  4;
  a[4][2] =  3;
  a[4][3] =  2;
  a[4][4] =  2;
  */
  
  //  M = prod_matrix(A,B);
  print_matrix(A);
  det = det_matrix(A);
  printf("Det = %f\n", det);
  if(det){
    M = inv_matrix(A);
    print_matrix(M);
  }
  /*
  if(M != NULL){
    print_matrix(M);
    B = prod_matrix(A,M);
    print_matrix(B);
  }
  */
  
  free_matrix(A);
  //free_matrix(B);
  free_matrix(M);
  
  return 0;
}
